#
# Conditional build:
%bcond_without	tests	# test suite

Summary:	C bindings for Google's Protocol Buffers
Summary(pl.UTF-8):	Wiązania C do biblioteki Google Protocol Buffers
Name:		protobuf-c
Version:	1.4.0
Release:	1
License:	Apache v2.0
Group:		Libraries
#Source0Download: https://github.com/protobuf-c/protobuf-c/releases
Source0:	https://github.com/protobuf-c/protobuf-c/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	277a6c23b3721c39e7e52c3b22b38414
URL:		https://github.com/protobuf-c/protobuf-c
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11
BuildRequires:	doxygen
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig
BuildRequires:	protobuf-devel >= 3.0.0
Requires:	protobuf >= 3.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Protocol Buffers are a way of encoding structured data in an efficient
yet extensible format. This package provides a code generator and
run-time libraries to use Protocol Buffers from pure C (not C++).

It uses a modified version of protoc called protoc-c.

%description -l pl.UTF-8
Bufory protokołowe (Protocol Buffers) to sposób kodowania danych
strukturalnych w wydajny i rozszerzalny sposób. Ten pakiet dostarcza
generator kodu oraz biblioteki uruchomieniowe pozwalające na używanie
buforów protokołowych z czystego języka C (nie C++).

Wykorzystuje zmodyfikowaną wersję protoc o nazwie protoc-c.

%package devel
Summary:	Protocol Buffers C header files
Summary(pl.UTF-8):	Pliki nagłówkowe C biblioteki Protocol Buffers
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains protobuf-c header files.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe protobuf-c.

%package static
Summary:	Static protobuf-c library
Summary(pl.UTF-8):	Statyczna biblioteka protobuf-c
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static protobuf-c library.

%description static -l pl.UTF-8
Statyczna biblioteka protobuf-c.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules

%{__make}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libprotobuf-c.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE README.md TODO
%attr(755,root,root) %{_bindir}/protoc-c
%attr(755,root,root) %{_bindir}/protoc-gen-c
%attr(755,root,root) %{_libdir}/libprotobuf-c.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libprotobuf-c.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libprotobuf-c.so
# XXX: dir shared with libtcmalloc and protobuf
%dir %{_includedir}/google
%{_includedir}/google/protobuf-c
%{_includedir}/protobuf-c
%{_pkgconfigdir}/libprotobuf-c.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libprotobuf-c.a
%changelog
* Fri Jul 08 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/protobuf-c.git;a=log;h=master

* Mon Jul 04 2022 Jakub Bogusz <qboosh@pld-linux.org> 4bc609f
- updated to 1.4.0

* Tue Jan 19 2021 Jakub Bogusz <qboosh@pld-linux.org> 24b2faf
- release 6 (protobuf 3.14)

* Mon Sep 21 2020 Jakub Bogusz <qboosh@pld-linux.org> 34848e5
- release 4

* Tue Sep 08 2020 Jakub Bogusz <qboosh@pld-linux.org> 22c9be3
- release 4 (protobuf 3.13)

* Mon Jun 01 2020 Jan Rękorajski <baggins@pld-linux.org> 08500f0
- release 3 (by relup.sh)

* Wed Apr 08 2020 Jan Rękorajski <baggins@pld-linux.org> e9ef115
- release 2 (by relup.sh)

* Tue Apr 07 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 15191d1
- up to 1.3.3

* Sun Jul 28 2019 Jakub Bogusz <qboosh@pld-linux.org> 6a35030
- updated to 1.3.2
- removed obsolete update patch

* Sat Mar 16 2019 Jan Rękorajski <baggins@pld-linux.org> 15632c8
- release 3 (by relup.sh)

* Tue Mar 12 2019 Jakub Bogusz <qboosh@pld-linux.org> 5813020
- added update patch (adjust for protobuf 3.7.0 changes); release 2

* Sat Oct 13 2018 Jakub Bogusz <qboosh@pld-linux.org> 45a0892
- updated to 1.3.1

* Mon Dec 04 2017 Jakub Bogusz <qboosh@pld-linux.org> 53df6cf
- updated to 1.3.0

* Mon Apr 17 2017 Jan Rękorajski <baggins@pld-linux.org> a43497d
- rebuild with protobuf 3.2
- release 2 (by relup.sh)

* Sun Feb 28 2016 Jakub Bogusz <qboosh@pld-linux.org> 1a64468
- updated to 1.2.1

* Wed Sep 30 2015 Jakub Bogusz <qboosh@pld-linux.org> b13753a
- updated to 1.1.1

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> 80477f0
- x32 rebuild
- release 2 (by relup.sh)

* Tue Oct 14 2014 Jakub Bogusz <qboosh@pld-linux.org> 8a83ddb
- new URLs, updated to 1.0.2 (note: new soname)

* Tue Apr 15 2014 Jakub Bogusz <qboosh@pld-linux.org> 7b46e47
- pl, cleanups

* Mon Dec 02 2013 Jan Rękorajski <baggins@pld-linux.org> e74a797
- release 2 (by relup.sh)

* Mon Nov 25 2013 Elan Ruusamäe <glen@delfi.ee> e2ca71d
- pldize, adapter

